[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#191192: magpie: Fails to build with current flex

Package: magpie
Version: 0.5-7
Severity: serious

>From my build log:

flex scanner.l
scanner.l: In function `free_flex':
scanner.l:183: `yy_current_buffer' undeclared (first use in this function)
scanner.l:183: (Each undeclared identifier is reported only once
scanner.l:183: for each function it appears in.)
/usr/include/stdlib.h: At top level:
lex.yy.c:1249: warning: `yyunput' defined but not used
make[1]: *** [libdpkginfo.a(scanner.o)] Error 1
make[1]: Leaving directory `/tmp/buildd/magpie-0.5'
make: *** [build] Error 2

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux frobnitz 2.4.21-pre5 #1 Sat Mar 1 09:01:10 PST 2003 i686

Daniel Schepler              "Please don't disillusion me.  I
schepler@math.berkeley.edu    haven't had breakfast yet."
                                 -- Orson Scott Card

Reply to: